:root {
  --header1-color: #5f0093;
  --header-color: #008693;
  --link-color: #1e90ff;
  --link-bg: rgba(30, 144, 255, 0.1);
  --link-border: rgba(30, 144, 255, 0.3);
  --link-hover-bg: rgba(30, 144, 255, 0.2);
  --link-hover-border: rgba(30, 144, 255, 0.6);
  --link-hover-color: #0f4c81;
  --shadow-color: black;
  --bg-content: rgba(250, 250, 255, 0.8);
  --text-color: #ffffff;

  --bg-contact:
    repeating-linear-gradient(0deg,
      rgba(10, 49, 97, 0.1) 0px,
      rgba(10, 49, 97, 0.1) 1px,
      transparent 1px,
      transparent 20px),
    linear-gradient(135deg, #f3f1f1, #b3bcc1);


}

@media (prefers-color-scheme: dark) {
  :root {
    --header1-color: #ed4cff;
    --header-color: #41e9ff;
    --link-color: #9fcfff;
    --link-bg: rgba(102, 178, 255, 0.1);
    --link-border: rgb(255, 255, 255);
    --link-hover-bg: rgba(102, 178, 255, 0.25);
    --link-hover-border: rgb(255, 255, 255);
    --link-hover-color: #bfe0fe;
    --bg-color: #000000;
    --text-color: #ffffff;
    --shadow-color: white;
    --bg-content: rgba(0, 0, 0, 0.4);

    --bg-contact:
      repeating-linear-gradient(0deg,
        rgba(56, 189, 248, 0.1) 0px,
        rgba(56, 189, 248, 0.1) 1px,
        transparent 1px,
        transparent 25px),
      linear-gradient(135deg, #0a0f1a, #12162a, #1b1f3a);
  }
}

body {
  background-color: #f9f9f9;
  background-image:
    linear-gradient(45deg, rgba(58, 141, 255, 0.03) 25%, transparent 25%),
    linear-gradient(-45deg, rgba(58, 141, 255, 0.03) 25%, transparent 25%),
    linear-gradient(45deg, transparent 75%, rgba(58, 141, 255, 0.03) 75%),
    linear-gradient(-45deg, transparent 75%, rgba(58, 141, 255, 0.03) 75%);
  background-size: 40px 40px;
  background-repeat: repeat;
  color: #111;
  background-attachment: fixed;
  margin: 0;
  background-position: fixed;
  line-height: 1.5;
  font-size: larger;
}

@media (max-width: 786px) {
  body {
    font-size: medium;
  }
}


.gitHubText {
  color: var(--header1-color);
}

@media (prefers-color-scheme: dark) {
  .gitHubText {
    color: rgb(0, 0, 0);
    text-shadow:
      2px 2px 0 white,
      -2px 2px 0 white,
      2px -2px 0 white,
      -2px -2px 0 white;
  }
}




img {
  float: right;
  height: 60px;
  border-radius: 20px;
  padding: 5px;
}


#content h1~p {
  display: inline-block;
  margin: 0;
}

#content h1~p a {
  display: inline-flex;
  position: relative;
  transition: transform 0.3s ease, color 0.3s ease;
  align-items: center;
  justify-content: center;
  padding: 0.4rem 0.9rem;
  margin: 0.3rem;
  color: var(--link-color);
  background: var(--link-bg);
  border: 1px solid var(--link-border);
  border-radius: 6px;
  text-decoration: none;
  font-weight: 500;
  white-space: nowrap;
}

#content h1~p a:hover {
  background: var(--link-hover-bg);
  border-color: var(--link-hover-border);
  color: var(--link-hover-color);

}

@media (min-width:1200px) {
  #content h1~p a:hover {
    transform: translateY(-6px) scale(1.01);
  }
}

a {
  font-size: 1.2rem;
}

.address .name {
  font-size: 2rem;
  font-weight: 600;
  padding: 0 0 15px 0;
  transform: rotate(-3deg);
}

.address {
  line-height: 1.5;
  transform: rotate(-5deg);
}

.address a {
  font-size: 1.3rem;
  color: var(--link-color);
  text-decoration: none;
}

.address a:hover {
  color: var(--link-hover-color);
  text-decoration: underline;
}


h1 {
  color: var(--header1-color);
  padding: 0px 30px 20px 0px;
  border-radius: 8px;
  font-size: 2.8rem;
  font-style: italic;
}

#content h1:not(:first-of-type) {
  margin-top: 100px;
}


h2,
h3 {
  font-style: italic;
  color: var(--header-color);
}

h2 {
  border-left: 5px solid var(--header-color);
  padding-left: 10px;

}


.avatar-bg {
  max-width: 70%;
  height: auto;
  object-fit: cover;
  pointer-events: none;
  z-index: 1;
  mask-image:
    linear-gradient(to top, transparent 0%, black 30%),
    linear-gradient(to right, transparent 0%, black 20%, black 80%, transparent 100%);
  mask-composite: intersect;
}

.header-section {
  display: flex;
  justify-content: center;
  width: 100%;
  position: fixed;
  z-index: 0;
  top: 0;
  left: 0;
}

.intro {
  display: flex;
  justify-content: center;
  text-align: center;
  margin-top: 15vh;
}


.intro h1 {
  font-size: 4rem;
  margin: 0;
  padding: 30px;
}


#logoContainer {
  position: fixed;
  top: 10px;
  right: 10px;
  z-index: 9999;
  height: 100px;
  width: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;
}

#logoContainer picture,
#logoContainer img {
  height: 100%;
  width: auto;
  object-fit: contain;
  display: block;
  max-width: 100%;
  max-height: 100%;
}


.container {
  display: flex;
  justify-content: center;
  width: 100%;
  margin: 60vh auto 0 auto;
  max-width: 1500px;
  border-radius: 8px;
  z-index: 0 !important;
  position: relative;
  z-index: 10;
}



.content {
  width: 100%;
  padding: 50px;
  border: 1px solid black;
  border-radius: 8px;
  margin: 0 15px 0 15px;
  border: 1px solid var(--text-color);
  box-shadow: 0 0 20px var(--shadow-color);
  background-color: var(--bg-content);
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
}


ul {
  list-style: none;
  /* Standard-Punkte entfernen */
}

ul li {
  position: relative;
  padding-left: 1.5em;
  /* Platz für Bullet */
  margin-bottom: 0.5rem;
  font-weight: 500;
}

ul li::before {
  content: "✖";
  /* X-Symbol */
  position: absolute;
  left: 0;
  top: 0;
  color: var(--link-color, #1e90ff);
  /* Farbe optional über Variable */
  font-size: 1em;
  line-height: 1;
}




footer {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 80px 0 80px 0;
  color: seagreen;
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
}

.fade-in-up {
  opacity: 0;
  transform: translateY(50px);
  transition: opacity 0.5s ease, transform 1.5s ease, filter 1s;
  will-change: transform, opacity;
  filter: blur(10px);
}

.fade-in-up.visible {
  filter: none;
  opacity: 1;
  transform: translateY(0);
}

.contactContainer {
  display: flex;
  flex-direction: column;
  justify-content: center;

  width: fit-content;
  margin: 40px auto 0;
  /* oben | links/rechts auto */

  border: 1px solid var(--header1-color);
  border-radius: 8px;
  padding: 60px 40px 150px 20px;

  background: var(--bg-contact);

}

#contact:target {
  scroll-margin-top: 350px;
}

@media (prefers-color-scheme: light) {
  body {
    background-color: #f9f9f9 !important;
    color: #111 !important;
  }

  .header-text {
    color: #111;
  }

  .contactContainer {
    box-shadow: 0 0 12px var(--shadow-color);
  }

}

@media (prefers-color-scheme: dark) {
  body {
    background-color: #121212 !important;
    color: #eee !important;
  }

  .header-text {
    color: #eee;
  }

  a {
    color: dodgerblue;
  }

  a:visited {
    color: rgb(207, 98, 207);
  }

  h2 img {

    background-color: white;

  }

  .contactContainer {
    box-shadow: 0 0 12px var(--header1-color);
  }

}

@media (max-width: 1200px) {

  .header-text {
    font-size: 3rem;
    text-align: center;
  }

  .avatar-bg {
    max-width: 60%;
  }

  .container {
    width: 100%;
    margin: 60vh 0 0 0;
  }

  .content {
    box-sizing: border-box;
    width: 100%;
    padding: 20px;
  }

  ul {
    padding-left: 20px;
  }

  h1 {
    font-size: 2rem;
    padding: 15px 15px 15px 00px;
  }

}

@media (max-width: 768px) {

  body {
    margin: 0;
  }

  .radial-nav {
    top: 80px !important;
    left: 60px !important;
  }



  .intro {
    display: flex;
    height: 250px;
    width: 100%;
    align-items: center;
    justify-content: center;
    margin: 15vh 15px 0 15px;
  }

  .content {
    box-sizing: border-box;
    width: 100%;
    padding: 15px;
  }

  ul {
    padding-left: 10px;
  }

  .header-text {
    font-size: 2rem !important;
    text-align: center;
  }

  .container {
    margin: 50vh 0 0 0;
  }

  footer {
    text-align: center;
  }

}

.radial-nav {
  position: fixed;
  top: 100px;
  left: 100px;
  width: 100px;
  height: 100px;
}

#compass {
  position: absolute;
  top: -20px;
  left: -20px;
  width: 90px;
  height: 90px;
  border-radius: 50%;
  background: #00000022;
  backdrop-filter: blur(4px);
  border: 1px solid var(--header1-color);
  color: var(--header1-color);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  z-index: 10;
}

.nav-btn {
  position: absolute;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background: #00000011;
  backdrop-filter: blur(4px);
  border: 1px solid var(--link-color);
  color: var(--header-color);
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  transition: 0.3s ease;
  z-index: 20;

}


.nav-web {
  top: 0;
  left: 0;
  transform: rotate(0deg) translate(70px) rotate(0deg);
}


.nav-github {
  top: 0;
  left: 0;
  transform: rotate(120deg) translate(70px) rotate(-120deg);
}

.nav-contact {
  top: 0;
  left: 0;
  transform: rotate(240deg) translate(70px) rotate(-240deg);
}

.nav-btn:hover .icon {
  animation: spin 1.2s linear infinite;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}